Bug 585291 - KMS:RV530:Radeon X1600 TV out broken
KMS:RV530:Radeon X1600 TV out broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 11:44 EDT by Ondrej Zary
Modified: 2012-08-16 14:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (32.24 KB, text/plain)
2010-04-23 11:49 EDT, Ondrej Zary
no flags Details
X log (173.92 KB, text/plain)
2010-04-23 11:50 EDT, Ondrej Zary
no flags Details
Photo from TV (Fedora boot screen) (180.12 KB, image/jpeg)
2010-04-23 12:00 EDT, Ondrej Zary
no flags Details
Photo from TV (GDM) (197.11 KB, image/jpeg)
2010-04-23 12:01 EDT, Ondrej Zary
no flags Details

  None (edit)
Description Ondrej Zary 2010-04-23 11:44:49 EDT
Description of problem:
When monitor is connected to VGA port and a TV to S-video port of Sapphire Radeon X1600Pro, the TV output is garbled. The output is correct on both VGA monitor and TV after power up. When radeon module loads, TV output breaks into stripes and rectangles with something that resembles the correct output.

Also the initial mode is not set correctly. TV is set to mirror mode and this reduces monitor resolution to 1024x768 (it's a 1280x1024 LCD).

Version-Release number of selected component (if applicable):
desktop-i386-20100418.17
kernel-2.6.33.1-24.fc13.i686
xorg-x11-drv-ati-6.13.0-0.23.20100219gite68d3a389.fc13.i686

How reproducible:
always

Steps to Reproduce:
1. Boot desktop-i386-20100418.17 with VGA and TV connected
  
Actual results:
Weird stripes and colors on TV.

Expected results:
Working TV output.

Additional info:
Comment 1 Ondrej Zary 2010-04-23 11:49:54 EDT
Created attachment 408662 [details]
dmesg
Comment 2 Ondrej Zary 2010-04-23 11:50:19 EDT
Created attachment 408663 [details]
X log
Comment 3 Ondrej Zary 2010-04-23 12:00:27 EDT
Created attachment 408664 [details]
Photo from TV (Fedora boot screen)
Comment 4 Ondrej Zary 2010-04-23 12:01:11 EDT
Created attachment 408666 [details]
Photo from TV (GDM)
Comment 5 Ondrej Zary 2010-04-23 12:25:30 EDT
xrandr output after boot:

Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
VGA-0 connected 1024x768+0+0 (normal left inverted right x axis y axis) 340mm x 270mm
   1280x1024      75.0 +   60.0  
   1152x864       75.0  
   1024x768       75.1     72.0     70.1     60.0* 
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
S-video connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       59.9* 
   800x600        59.9  
   848x480        59.7  
   720x480        59.7  
   640x480        59.4  
DVI-0 disconnected (normal left inverted right x axis y axis)
Comment 6 Vedran Miletić 2010-05-24 14:03:09 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 7 Bug Zapper 2010-07-30 07:27:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2012-08-16 14:23:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.